Kerbal Space Program - Feedback #19152

Feature Request: Add to difficulty settings to enable deleting maneuvers without pilot or
communications link

06/05/2018 02:47 AM - ringerc

Status: Moot

Severity: Very Low
Assignee:

Category: Controls and Ul

Target version:

Version: 1.4.3 Language: Deutsche (German), English (US),
Espafiol (Spanish), Frangais (French),
Italiano (ltalian), Portugués-Brazil
(Portuguese-Brazil), pycckuia (Russian),
(000 (Japanese), 0000 (Chinese

Simplified)
Platform: Linux, OSX, PS4, Windows, XBoxOne Mod Related: No
Expansion: Core Game
Description

If a vessel has a manouvre node pending when it exits comm range with no pilot on board, the node is tracked and may be executed
normally - dV change is registered. But the node cannot be deleted.

This doesn't make sense and | think it must be a bug. It prevents the user from seeing the closest-approach markers etc on the
craft's true patched conics because they are only shown on the node's projected conics. If you can execute a node you should be
able to delete it, just not create new ones or alter nodes.

Workaround: in difficulty options, disable comms network for long enough to delete the node, then re-enable. Or use a node-edit mod
that's indifferent to comm-network settings.

History

#1 - 06/05/2018 11:08 PM - jclovis3

- Status changed from New to Need More Info

| believe this was intended. Without access to the Communication (comms) network, a probe has "limited control". The tracking station provides all
the telemetry about which all planets and objects are moving. The probe has limited sensor and tracking abilities and cannot calculate new
maneuvers nor can it be sure its orders to execute a maneuver have changed. It's limited control allows it to go full thrust in one of the given
navigation directions (pro/retrograde, etc.) available to a pilot of the same level, but for fine tune adjustments that require more sensor data and
complicated calculations, the probe relies on the tracking station computers for that.

You have to think of Kerbal computing tech like Earth's earlier days when mobile processing power was very limited. The probe follows directions
when in comms and we built our probes to continue following those instructions even when comms were broken due to passing around behind
planets because we expected to be able to reestablish comms when it came back in view and relay to us its observations about the success of
following those instructions. With that data, we can establish new instructions.

There are a couple things | would think that a probe without comms should be able to do. First off, any maneuver that is programmed should be
executed on time, and the player taking any action to intervene should indicate that the situation has changed and the maneuver has to be aborted.
At that point, it should be deleted automatically and limited control continues as if the probe was making decisions based on its data. Also, in that
same sense, the tracking station should have limited data about the probe or the ship during this blackout. Data such as current mass (fuel burning
changes this), and Kerbals still alive on board to name a couple. In the absence of any programming to execute the maneuver for us automatically
(due to the need for a physics bubble around the vessel), the probe should at least be able to determine that the execution point of the node (half the
time needed to burn after the node time) has completely passed and delete the maneuver when we tell it to. This can still prevent us from adding a
new maneuver, but if more maneuvers were plotted, we would have to have a consensus on if they should all be deleted as a result of this failed
execution, or if they should be followed (or waited for) as well.

So the simple answer is, that because maneuvers can be missed when we forgot to take control of the ship in time, we need to be able to pass
instructions for how to handle that, and the lack of comms prevents that, therefor, the probe cannot let the maneuver plot go because it might come
back within range after the planet obstruction is removed, or another relay gets closer and therefor, it will need to be able to receive instructions to
alter the maneuver before executing it.

It is pretty annoying that you can't delete the node, but the fact is that when you make a mistake, you need to feel a consequence for it. Knowing you

will lose comms if you go behind a planet or too far is just one more event you have to plan for and not doing so is a mistake. Often we get to rescue
craft that we lost due to such mistakes, and that is all part of the game. If you can't fly without comms, don't lose comms.
#2 - 06/10/2018 12:40 PM - ringerc

OK, so you see this as a feature request. Fair enough.
Auto-deleting nodes that are passed when in limited control, as you suggested, would work but would be darn annoying in other situations.

By way of context, this mainly comes up with vessels with only non-pilot crew for whatever means, for whom a journey has been pre-planned. They
can't delete a waypoint, but they can execute one. Makes no sense to me. They're a scientist, if they can steer the vessel they can press the darn
delete button.

Anyhow, if it's not a bug feel free to mark it invalid/withdrawn/whatever. | don't agree, but | have a workaround, so all's good.

#3 - 06/11/2018 04:50 AM - jclovis3
- Tracker changed from Bug to Feedback

- Subject changed from Comms network out of range prevents deletion of pre-existing manoeuvre node, blocks closest-approach markers etc to
Feature Request: Add to difficulty settings to enable deleting maneuvers without pilot or communications link

- Status changed from Need More Info to Updated
- Severity changed from Low to Very Low
- Platform PS4, XBoxOne added

- Language Deutsche (German), Espanol (Spanish), Frangais (French), Italiano (ltalian), Portugués-Brazil (Portuguese-Brazil), pycckuii (Russian),
000 (Japanese), 1000 (Chinese Simplified) added

Converted to a feature request and changed the subject as appropriate. You may also wish to try changing your difficulty settings to disable "Require
Signal for Control". This will do more than enable deleting the maneuver node but it might be what you would use if you didn't agree with the node
control features by default. This setting is in a game, under Settings, Difficulty Options, Advanced.

#4 - 06/16/2018 01:06 PM - ringerc
- Status changed from Updated to Moot

Clearly not agreed, so withdrawn.
